
var apollo = window.runtime;

//called when page has loaded
function onLoad()
{
	//set initial size of app window
	window.resizeTo(400,300);
}

//called when button is pressed to select a file
function onFileClick()
{
	//this will trace out the string to the command line
	apollo.trace("hello");
	
	//get a reference to the desktop
	var f = apollo.flash.filesystem.File.desktopDirectory;
	
	//listen for the select event
	f.addEventListener(apollo.flash.events.Event.SELECT, onFileSelect);
	
	//open the browse dialog
	f.browse();
}


//called when user selects a file
function onFileSelect(e)
{
	//print the path of the selected file
	output.value = e.target.url;
}